﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Log\**" />
    <Content Remove="Log\**" />
    <EmbeddedResource Remove="Log\**" />
    <None Remove="Log\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="12.0.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="6.0.10">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="6.0.10" />
    <PackageReference Include="Serilog" Version="2.12.0" />
    <PackageReference Include="Serilog.AspNetCore" Version="6.0.1" />
    <PackageReference Include="Serilog.Sinks.RollingFile" Version="3.3.0" />
    <PackageReference Include="X.PagedList" Version="8.4.3" />
    <PackageReference Include="X.PagedList.Mvc" Version="8.0.7" />
    <PackageReference Include="X.PagedList.Mvc.Core" Version="8.4.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Domain\Domain.csproj" />
    <ProjectReference Include="..\Repository\Repository.csproj" />
    <ProjectReference Include="..\Service\Service.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\img\course\" />
    <Folder Include="wwwroot\img\student\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-grid.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-grid.min.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-grid.rtl.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-grid.rtl.min.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-reboot.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-reboot.min.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-reboot.rtl.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-reboot.rtl.min.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-utilities.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-utilities.min.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-utilities.rtl.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap-utilities.rtl.min.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap.min.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap.rtl.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\css\bootstrap.rtl.min.css.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.bundle.js" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.bundle.js.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.bundle.min.js" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.bundle.min.js.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.esm.js" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.esm.js.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.esm.min.js" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.esm.min.js.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.js" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.js.map" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.min.js" />
    <None Include="wwwroot\bootstrap-5.2.2-dist\js\bootstrap.min.js.map" />
  </ItemGroup>

</Project>
